//-----------------------------------------------------------------------
// <copyright file=" sys_user.cs">
// * FileName: sys_user.cs
// * history : 2019-03-25 11:33:14 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// sys_user Entity Model
    /// </summary>
    [Table("sys_user")]
	public class sys_user
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int ID { get; set; }
    
        /// <summary>
        /// 创建时间
        /// </summary>
        public Nullable<DateTime> CreateDate { get; set; }
    
        /// <summary>
        /// 创建人
        /// </summary>
        public Nullable<int> CreateUser { get; set; }
    
        /// <summary>
        /// 真实名称
        /// </summary>
        public string RealName { get; set; }
    
        /// <summary>
        /// 手机号
        /// </summary>
        public string Mobile { get; set; }
    
        /// <summary>
        /// 登录名称
        /// </summary>
        public string Login { get; set; }
    
        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }
    
        /// <summary>
        /// 邮箱
        /// </summary>
        public string Mail { get; set; }
    
        /// <summary>
        /// 用户状态 1启用 2禁用
        /// </summary>
        public Nullable<int> States { get; set; }
    }
}
