//-----------------------------------------------------------------------
// <copyright file=" per_sheet.cs">
// * FileName: per_sheet.cs
// * history : 2019-03-25 11:33:14 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// per_sheet Entity Model
    /// </summary>
    [Table("per_sheet")]
	public class per_sheet
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key]
		public int ID { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> AllotID { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public string SheetName { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> SheetType { get; set; }
    
        /// <summary>
        /// 数据来源 1 excel 导入 2 计算
        /// </summary>
        public Nullable<int> Source { get; set; }
    }
}
